# coding: utf-8

"""
    Enterprise Mission Assurance Support Service (eMASS)

    The eMASS Representational State Transfer (REST) Application Programming Interface (API) enables users to perform assessments and complete actions associated with system records.  The eMASS API provides an interface for application to communicate eMASS Services. For information on how to register and use the eMASS API reference the [eMASS API Getting Started](eMASSGettingStarted.md).  Additional information about eMASS can be obtain by contacting the National Industrial Security Program (NISP). Points of Contact are: 

    The version of the OpenAPI document: v3.22
    Contact: disa.global.servicedesk.mbx.ma-ticket-request@mail.mil
    Generated by OpenAPI Generator (https://openapi-generator.tech)

    Do not edit the class manually.
"""  # noqa: E501


import unittest

from emass_client.models.controls_response_get_data_inner import ControlsResponseGetDataInner

class TestControlsResponseGetDataInner(unittest.TestCase):
    """ControlsResponseGetDataInner unit test stubs"""

    def setUp(self):
        pass

    def tearDown(self):
        pass

    def make_instance(self, include_optional) -> ControlsResponseGetDataInner:
        """Test ControlsResponseGetDataInner
            include_optional is a boolean, when False only required
            params are included, when True both required and
            optional params are included """
        # uncomment below to create an instance of `ControlsResponseGetDataInner`
        """
        model = ControlsResponseGetDataInner()
        if include_optional:
            return ControlsResponseGetDataInner(
                system_id = 83,
                acronym = 'AC-3',
                responsible_entities = 'Unknown',
                control_designation = 'Common',
                estimated_completion_date = 1799644800,
                implementation_narrative = 'Test Imp. Narrative',
                common_control_provider = 'DoD',
                na_justification = 'System EOL within 120 days',
                slcm_criticality = 'Test Criticality',
                slcm_frequency = 'Annually',
                slcm_method = 'Automated',
                slcm_reporting = 'Test Reporting',
                slcm_tracking = 'Test Tracking',
                slcm_comments = 'Test SLCM Comments',
                implementation_status = 'Planned',
                severity = 'Low',
                vulnerabilty_summary = 'Test Vulnerability Summary',
                recommendations = 'Test Recommendations',
                relevance_of_threat = 'Low',
                likelihood = 'Low',
                impact = 'Low',
                impact_description = 'Impact text',
                residual_risk_level = 'Low',
                test_method = 'Test',
                mitigations = 'Test Mitigations',
                application_layer = 'Cloud Computing',
                database_layer = 'Time Sharing Computing',
                operating_system_layer = 'Client Server Computing',
                name = 'System XYZ',
                ccis = '000001,000002',
                is_inherited = True,
                modified_by_overlays = 'Requirements',
                included_status = 'Manually',
                compliance_status = 'Status'
            )
        else:
            return ControlsResponseGetDataInner(
        )
        """

    def testControlsResponseGetDataInner(self):
        """Test ControlsResponseGetDataInner"""
        # inst_req_only = self.make_instance(include_optional=False)
        # inst_req_and_optional = self.make_instance(include_optional=True)

if __name__ == '__main__':
    unittest.main()
