# coding: utf-8

"""
    Enterprise Mission Assurance Support Service (eMASS)

    The eMASS Representational State Transfer (REST) Application Programming Interface (API) enables users to perform assessments and complete actions associated with system records.  The eMASS API provides an interface for application to communicate eMASS Services. For information on how to register and use the eMASS API reference the [eMASS API Getting Started](eMASSGettingStarted.md).  Additional information about eMASS can be obtain by contacting the National Industrial Security Program (NISP). Points of Contact are: 

    The version of the OpenAPI document: v3.22
    Contact: disa.global.servicedesk.mbx.ma-ticket-request@mail.mil
    Generated by OpenAPI Generator (https://openapi-generator.tech)

    Do not edit the class manually.
"""  # noqa: E501


import unittest

from emass_client.models.poam_optional_fields import PoamOptionalFields

class TestPoamOptionalFields(unittest.TestCase):
    """PoamOptionalFields unit test stubs"""

    def setUp(self):
        pass

    def tearDown(self):
        pass

    def make_instance(self, include_optional) -> PoamOptionalFields:
        """Test PoamOptionalFields
            include_optional is a boolean, when False only required
            params are included, when True both required and
            optional params are included """
        # uncomment below to create an instance of `PoamOptionalFields`
        """
        model = PoamOptionalFields()
        if include_optional:
            return PoamOptionalFields(
                external_uid = 'd6d98b88-c866-4496-9bd4-de7ba48d0f52',
                control_acronym = 'AC-3',
                assessment_procedure = 'AC-1.4',
                security_checks = 'SV-25123r1_rule,2016-A-0279',
                raw_severity = 'Moderate',
                relevance_of_threat = 'Low',
                likelihood = 'Low',
                impact = 'Low',
                impact_description = 'Impact text',
                residual_risk_level = 'Low',
                recommendations = 'Recommendations text',
                mitigations = 'Mitigation text',
                resulting_residual_risk_level_after_proposed_mitigations = 'Low',
                predisposing_conditions = 'The predisposing condition justification',
                threat_description = 'The identified threat(s) description',
                devices_affected = 'system'
            )
        else:
            return PoamOptionalFields(
        )
        """

    def testPoamOptionalFields(self):
        """Test PoamOptionalFields"""
        # inst_req_only = self.make_instance(include_optional=False)
        # inst_req_and_optional = self.make_instance(include_optional=True)

if __name__ == '__main__':
    unittest.main()
